--- title: "Get a Single Trusted CA Certificate on the Manager" slug: "get-a-single-trusted-ca-certificate-on-the-manager" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:30Z published: 2026-09-23T09:38:30Z canonical: "docs.trellix.com/get-a-single-trusted-ca-certificate-on-the-manager" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a Single Trusted CA Certificate on the Manager This URL gets a single trusted CA certificate details available on the Manager. ## Resource URL GET /domain/sslconfiguration/trustedcert?alias= ## Request Parameters URL Parameters: None Query Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | alias | The certificate alias | String | No | ## Response Parameters Following fields are returned: | Field Name | Description | Data Type | | --- | --- | --- | | state | State of the certificate. It can be enabled or disabled. | Boolean | | alias | Alias for the SSL key | String | | issuedBy | Name of the issuer | String | | fileName | Certificate file name | String | | certType | Type of the certificate. It can be "Default" or "Custom". | String | | validity | Validity details | Object | | lastUpdated | Last update details | Object | Details of the validity object: | Field Name | Description | Data Type | | --- | --- | --- | | from | Validity from date | String | | to | Validity end date | String | | status | Status of the validity. The values can be: - VALID - EXPIRING - EXPIRED | String | Details of the lastUpdated object: | Field Name | Description | Data Type | | --- | --- | --- | | time | Last update time | String | | by | Last updated by user | String | ## Example **Request** GET [https:///sdkapi/domain/sslconfiguration/trustedcert?alias=EC-ACC](https://%3CNSM_IP%3E/sdkapi/sensor/1002/sslconfiguration) **Response** ``` { "state": true, "alias": "EC-ACC", "issuedBy": "EC-ACC", "fileName": null, "certType": "Defaut", "validity": { "from": "2003-01-08 04:30:00.0", "to": "2031-01-08 04:29:59.0", "status": "VALID" }, "lastUpdated": { "time": "2016-10-20 11:48:15.0", "by": "System" } } ``` ## Error Information Following error code is returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error |